Văn bản
Byte hex
File
Chữ hoa
Kết quả Hash
Nhập văn bản để tạo hash
Nhận diện hash
Độ dài và bộ ký tự giúp khoanh vùng nhưng không chứng minh được thuật toán nào đã tạo ra digest: MD5 và NTLM đều 32 chữ số hex, SHA-256 và SHA3-256 đều 64. Hãy băm dữ liệu gốc rồi dán digest vào ô so sánh để xác nhận.
Thông tin thuật toán
| Thuật toán | Bits | Đầu ra | Mô tả |
|---|---|---|---|
| MD5 | 128 | 32 chars | Fast but insecure, for checksums only |
| MD4 | 128 | 32 chars | Broken, predecessor of MD5 — legacy compatibility only |
| MD2 | 128 | 32 chars | RFC 1319, from 1989 — broken and very slow; for reading old checksums only |
| NTLM | 128 | 32 chars | Windows NT password hash = MD4(UTF-16LE(password)). Text mode only — hex and file modes hash raw bytes. |
| RIPEMD-160 | 160 | 40 chars | Used in Bitcoin addresses (RIPEMD-160 of SHA-256); the only RIPEMD size still in real use |
| SHA-1 | 160 | 40 chars | Legacy, not recommended for security |
| SHA-224 | 224 | 56 chars | SHA-256 with a different starting value, truncated to 224 bits |
| SHA-256 | 256 | 64 chars | Recommended, widely used |
| SHA-384 | 384 | 96 chars | Truncated SHA-512 |
| SHA-512 | 512 | 128 chars | Strongest, for high security |
| SHA-512/256 | 256 | 64 chars | SHA-512 truncated to 256 bits with its own starting value — faster than SHA-256 on 64-bit CPUs and immune to length extension |
| SHA3-224 | 224 | 56 chars | SHA-3 (Keccak), sponge construction, different design from SHA-2 |
| SHA3-256 | 256 | 64 chars | SHA-3 (Keccak), recommended modern alternative to SHA-256 |
| SHA3-384 | 384 | 96 chars | SHA-3 (Keccak) |
| SHA3-512 | 512 | 128 chars | SHA-3 (Keccak) |
| SHAKE128 | 256 | 64 chars | Extendable-output function (XOF), shown at 256-bit output |
| SHAKE256 | 512 | 128 chars | Extendable-output function (XOF), shown at 512-bit output |
| Keccak-256 | 256 | 64 chars | Original Keccak padding (0x01) — Ethereum's keccak256 (addresses, function selectors). Differs from SHA3-256. |
| Keccak-512 | 512 | 128 chars | Original Keccak padding (0x01) at 512-bit output. Differs from SHA3-512. |
| BLAKE2b-512 | 512 | 128 chars | RFC 7693, faster than MD5 in software and as strong as SHA-3; used by Argon2, WireGuard-era tools and many package managers |
| BLAKE2s-256 | 256 | 64 chars | RFC 7693, the 32-bit-CPU variant of BLAKE2 (used in WireGuard) |
| BLAKE3-256 | 256 | 64 chars | BLAKE3 (2020): a Merkle tree of BLAKE2s-style blocks, very fast and parallel-friendly |
| Whirlpool | 512 | 128 chars | ISO/IEC 10118-3, AES-like design — unbroken but rarely used outside older archive formats |
| CRC-32 | 32 | 8 chars | Error-detection checksum (zip/gzip/PNG), NOT cryptographically secure |
| CRC-16 | 16 | 4 chars | CRC-16/ARC checksum, NOT cryptographically secure |
| CRC-16/MODBUS | 16 | 4 chars | Modbus RTU frame check (init 0xFFFF, poly 0xA001 reflected) — sent low byte first, so CRC cdc5 goes on the wire as C5 CD |
| CRC-8 | 8 | 2 chars | CRC-8/SMBUS (poly 0x07, init 0x00), NOT cryptographically secure |
| Adler-32 | 32 | 8 chars | zlib's checksum (RFC 1950) — faster than CRC-32 but weaker on short inputs, NOT cryptographically secure |
| xxHash32 | 32 | 8 chars | Extremely fast non-cryptographic hash (seed 0) for hash tables and file deduplication |
| xxHash64 | 64 | 16 chars | 64-bit xxHash (seed 0), used by zstd, LZ4 frames and many databases — NOT cryptographically secure |
| MurmurHash3 | 32 | 8 chars | MurmurHash3 x86_32 (seed 0), used for hash tables and Bloom filters — NOT cryptographically secure |
| FNV-1a 32 | 32 | 8 chars | Fowler–Noll–Vo 1a: XOR then multiply per byte; tiny and fast, NOT cryptographically secure |
| FNV-1a 64 | 64 | 16 chars | 64-bit Fowler–Noll–Vo 1a, NOT cryptographically secure |